﻿// 2011, Omer Faruk ZORLU
// http://www.omerfarukzorlu.com
using System.Collections.Generic;
using System.Xml.Serialization;
using OMR.TableDataSync.Core.Configuration;

namespace OMR.TableDataSync.Console.Configuration
{
    public class TableConfiguration
    {
        [XmlAttribute]
        public string Name { get; set; }

        [XmlAttribute]
        public string OnComplatedSqlString { get; set; }

        public List<ColumnConfiguration> ColumnConfigurations { get; set; }

        public TableConfiguration()
        {
            ColumnConfigurations = new List<ColumnConfiguration>();
        }
    }
}
